Public Class ClsUsuariosEliminar
    Implements IUsuariosEliminar

    Private conexion As IPrixusConexion

    Public Sub New(conexion As IPrixusConexion)
        Me.conexion = conexion
    End Sub

    Public Function Eliminar(usuariosModeloEliminar As IUsuariosEliminarArgumentos, ByRef mensajeError As String) As Boolean Implements IUsuariosEliminar.Eliminar
        Dim resultado As Boolean = False
        mensajeError = ""

        Try
            If usuariosModeloEliminar.Id = Nothing Then Throw New Exception("Id no puede ser vacío")

            Dim listaParametros As New List(Of SqlClient.SqlParameter) From {
                New SqlClient.SqlParameter("@idUsuario", usuariosModeloEliminar.Id)}

            resultado = conexion.EjecutarProcedimiento("sp_usuariosEliminar", listaParametros)
        Catch ex As Exception
            mensajeError += vbNewLine + ex.Message
        Finally
            conexion.CerrarBD()
        End Try

        Return resultado
    End Function
End Class
